Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormgolubev2012-05-23 05:29:02 -0400
committermgolubev2012-05-23 05:29:02 -0400
commitd6cd79611cd6b78080a6d8e086118406fc85c47e (patch)
treef806e1b03b291f717389072940322703fb9d4244
parent85712b7330a4150f6ba5329bbbb1ed389a382414 (diff)
downloadorg.eclipse.gmf-tooling-d6cd79611cd6b78080a6d8e086118406fc85c47e.tar.gz
org.eclipse.gmf-tooling-d6cd79611cd6b78080a6d8e086118406fc85c47e.tar.xz
org.eclipse.gmf-tooling-d6cd79611cd6b78080a6d8e086118406fc85c47e.zip
[3.0.RC1] - Promoting feature versions, fixing promoted plugin versions
-rw-r--r--features/org.eclipse.gmf.doc-feature/feature.xml4
-rw-r--r--features/org.eclipse.gmf.sdk-feature/feature.xml2
-rw-r--r--features/org.eclipse.gmf.sdk-feature/pom.xml2
-rw-r--r--features/org.eclipse.gmf.sdk.experimental-feature/feature.xml2
-rw-r--r--features/org.eclipse.gmf.tests-feature/feature.xml4
-rw-r--r--features/org.eclipse.gmf.tooling-feature/feature.xml522
-rw-r--r--features/org.eclipse.gmf.tooling-feature/pom.xml2
-rw-r--r--features/org.eclipse.gmf.tooling.source-feature/feature.xml508
-rw-r--r--features/org.eclipse.gmf.tooling.source-feature/pom.xml2
9 files changed, 524 insertions, 524 deletions
diff --git a/features/org.eclipse.gmf.doc-feature/feature.xml b/features/org.eclipse.gmf.doc-feature/feature.xml
index ea34d75fa..4f9e24275 100644
--- a/features/org.eclipse.gmf.doc-feature/feature.xml
+++ b/features/org.eclipse.gmf.doc-feature/feature.xml
@@ -30,10 +30,10 @@ http://www.eclipse.org/legal/epl-v10.html
<import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
<import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
<import plugin="org.eclipse.ui.cheatsheets" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.edit" version="3.0.0" match="compatible"/>
<import plugin="org.eclipse.gmf.bridge.ui" version="1.0.0" match="compatible"/>
<import plugin="org.eclipse.emf.codegen.ecore.ui" version="2.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.tooldef.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.tooldef.edit" version="2.3.0" match="compatible"/>
</requires>
<plugin
diff --git a/features/org.eclipse.gmf.sdk-feature/feature.xml b/features/org.eclipse.gmf.sdk-feature/feature.xml
index 563561c72..5d8e5d1d9 100644
--- a/features/org.eclipse.gmf.sdk-feature/feature.xml
+++ b/features/org.eclipse.gmf.sdk-feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.gmf.sdk"
label="%featureName"
- version="2.4.1.qualifier"
+ version="3.0.0.qualifier"
provider-name="%providerName"
image="eclipse_update_120.jpg">
diff --git a/features/org.eclipse.gmf.sdk-feature/pom.xml b/features/org.eclipse.gmf.sdk-feature/pom.xml
index 43d9c9df5..2d60a107e 100644
--- a/features/org.eclipse.gmf.sdk-feature/pom.xml
+++ b/features/org.eclipse.gmf.sdk-feature/pom.xml
@@ -12,7 +12,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.gmf-tooling.features</groupId>
<artifactId>org.eclipse.gmf.sdk</artifactId>
- <version>2.4.1-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>
diff --git a/features/org.eclipse.gmf.sdk.experimental-feature/feature.xml b/features/org.eclipse.gmf.sdk.experimental-feature/feature.xml
index a8e38f2dc..dc08d7d8f 100644
--- a/features/org.eclipse.gmf.sdk.experimental-feature/feature.xml
+++ b/features/org.eclipse.gmf.sdk.experimental-feature/feature.xml
@@ -38,7 +38,7 @@ http://www.eclipse.org/legal/epl-v10.html
<import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
<import plugin="org.eclipse.emf.codegen.ecore" version="2.3.0" match="compatible"/>
<import plugin="org.eclipse.gmf.common" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen" version="3.0.0" match="compatible"/>
<import plugin="org.eclipse.gmf.xpand" version="2.0.0" match="compatible"/>
<import plugin="org.eclipse.core.resources" version="3.3.0" match="compatible"/>
<import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
diff --git a/features/org.eclipse.gmf.tests-feature/feature.xml b/features/org.eclipse.gmf.tests-feature/feature.xml
index 8c0e5bb28..d41983f06 100644
--- a/features/org.eclipse.gmf.tests-feature/feature.xml
+++ b/features/org.eclipse.gmf.tests-feature/feature.xml
@@ -45,8 +45,8 @@ http://www.eclipse.org/legal/epl-v10.html
<import plugin="org.eclipse.gmf.graphdef.codegen" version="2.0.0" match="compatible"/>
<import plugin="org.eclipse.gmf.tooldef" version="2.0.0" match="compatible"/>
<import plugin="org.eclipse.gmf.validate" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.map.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.map.edit" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen" version="3.0.0" match="compatible"/>
<import plugin="org.eclipse.gmf.xpand" version="2.1.0" match="compatible"/>
<import plugin="org.eclipse.ant.core" version="3.2.0" match="compatible"/>
<import plugin="org.eclipse.gmf.xpand.editor" version="2.1.0" match="compatible"/>
diff --git a/features/org.eclipse.gmf.tooling-feature/feature.xml b/features/org.eclipse.gmf.tooling-feature/feature.xml
index b4a16ca6d..c12600f2b 100644
--- a/features/org.eclipse.gmf.tooling-feature/feature.xml
+++ b/features/org.eclipse.gmf.tooling-feature/feature.xml
@@ -1,265 +1,265 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<feature
- id="org.eclipse.gmf.tooling"
- label="%featureName"
- version="2.4.1.qualifier"
- provider-name="%providerName"
- image="eclipse_update_120.jpg">
-
- <description url="http://www.eclipse.org/gmf">
- %description
- </description>
-
- <copyright url="http://www.eclipse.org/legal/epl-v10.html">
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.gmf.tooling"
+ label="%featureName"
+ version="3.0.0.qualifier"
+ provider-name="%providerName"
+ image="eclipse_update_120.jpg">
+
+ <description url="http://www.eclipse.org/gmf">
+ %description
+ </description>
+
+ <copyright url="http://www.eclipse.org/legal/epl-v10.html">
Copyright (c) 2008, 2010 Borland Software Corporation and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
-http://www.eclipse.org/legal/epl-v10.html
- </copyright>
-
- <license url="%licenseURL">
- %license
- </license>
-
- <url>
- <update label="%updateSiteName" url="http://download.eclipse.org/modeling/gmf/updates/releases/"/>
- </url>
-
- <requires>
- <import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.common.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.xmi" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.core.resources" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.forms" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jdt.core" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jface" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jdt.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.draw2d" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.validate" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.m2m.qvt.oml" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge.ui.dashboard" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.codegen.ui" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.importer" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge.ui" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.common" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.tooldef" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.map" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.tooldef.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.edit" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.runtime.notation" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.codegen" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.common" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.edit" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.map.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.editor" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.pde.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.pde.core" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.validation" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.ocl.ecore" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore" version="2.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.xpand.qvtlibrary" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.swt" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.xpand" version="2.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.common" version="1.2.0" match="compatible"/>
- <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.0.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.common" version="2.1.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.project" version="2.1.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.1.0"/>
- <import plugin="lpg.runtime.java" version="2.0.17" match="compatible"/>
- </requires>
-
- <plugin
- id="org.eclipse.gmf.common"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen.edit"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen.ui"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.edit"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.map"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.map.edit"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge.ui"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge.ui.dashboard"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.tooling"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.codegen"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.codegen.ui"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.tooldef"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.tooldef.edit"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.validate"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.ecore.editor"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand.editor"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand.qvtlibrary"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
-</feature>
+http://www.eclipse.org/legal/epl-v10.html
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <url>
+ <update label="%updateSiteName" url="http://download.eclipse.org/modeling/gmf/updates/releases/"/>
+ </url>
+
+ <requires>
+ <import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.common.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.xmi" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.forms" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jdt.core" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jface" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jdt.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.draw2d" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.validate" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.m2m.qvt.oml" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge.ui.dashboard" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen.edit" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.codegen.ui" version="1.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.importer" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge.ui" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.common" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.tooldef" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.map" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.edit" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.tooldef.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.edit" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.runtime.notation" version="1.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.codegen" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.common" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.edit" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.map.edit" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.editor" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.pde.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.pde.core" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.validation" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.ocl.ecore" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.core.expressions"/>
+ <import plugin="org.eclipse.ui.views"/>
+ <import plugin="org.eclipse.ui.navigator"/>
+ <import plugin="org.eclipse.gef"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing.render"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
+ <import plugin="org.eclipse.ui.navigator.resources"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.2.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.xpand.qvtlibrary" version="1.0.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.swt" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.xpand" version="2.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.common" version="1.3.0" match="compatible"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.0.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.common" version="2.1.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.project" version="2.1.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.1.0"/>
+ <import plugin="lpg.runtime.java" version="2.0.17" match="compatible"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.gmf.common"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen.edit"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen.ui"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.edit"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.map"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.map.edit"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge.ui"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge.ui.dashboard"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.tooling"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.codegen"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.codegen.ui"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.tooldef"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.tooldef.edit"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.validate"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.ecore.editor"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand.editor"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand.qvtlibrary"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
diff --git a/features/org.eclipse.gmf.tooling-feature/pom.xml b/features/org.eclipse.gmf.tooling-feature/pom.xml
index 44e37f9ee..0fe86cea2 100644
--- a/features/org.eclipse.gmf.tooling-feature/pom.xml
+++ b/features/org.eclipse.gmf.tooling-feature/pom.xml
@@ -12,7 +12,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.gmf-tooling.features</groupId>
<artifactId>org.eclipse.gmf.tooling</artifactId>
- <version>2.4.1-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>
diff --git a/features/org.eclipse.gmf.tooling.source-feature/feature.xml b/features/org.eclipse.gmf.tooling.source-feature/feature.xml
index 498466dee..77b302321 100644
--- a/features/org.eclipse.gmf.tooling.source-feature/feature.xml
+++ b/features/org.eclipse.gmf.tooling.source-feature/feature.xml
@@ -1,258 +1,258 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<feature
- id="org.eclipse.gmf.tooling.source"
- label="%featureName"
- version="2.4.1.qualifier"
- provider-name="%providerName"
- image="eclipse_update_120.jpg">
-
- <description url="http://www.eclipse.org/gmf">
- %description
- </description>
-
- <copyright url="http://www.eclipse.org/legal/epl-v10.html">
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.gmf.tooling.source"
+ label="%featureName"
+ version="3.0.0.qualifier"
+ provider-name="%providerName"
+ image="eclipse_update_120.jpg">
+
+ <description url="http://www.eclipse.org/gmf">
+ %description
+ </description>
+
+ <copyright url="http://www.eclipse.org/legal/epl-v10.html">
Copyright (c) 2008, 2010 Borland Software Corporation and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
-http://www.eclipse.org/legal/epl-v10.html
- </copyright>
-
- <license url="%licenseURL">
- %license
- </license>
-
- <url>
- <update label="%updateSiteName" url="http://download.eclipse.org/modeling/gmf/updates/releases/"/>
- </url>
-
- <requires>
- <import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.common.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.xmi" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.core.resources" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui.forms" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jdt.core" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jface" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.jdt.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.draw2d" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.validate" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.m2m.qvt.oml" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.emf.codegen.ecore.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge.ui.dashboard" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.codegen.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.codegen.ui" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.importer" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.bridge.ui" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.common" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.tooldef" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.map" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.tooldef.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.edit" version="2.4.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.runtime.notation" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.graphdef.codegen" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.common" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.edit" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.map.edit" version="2.0.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore.editor" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.ecore" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.pde.ui" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.pde.core" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.edit.ui" version="2.3.0" match="compatible"/>
- <import plugin="org.eclipse.emf.validation" version="1.1.0" match="compatible"/>
- <import plugin="org.eclipse.ocl.ecore" version="3.0.0" match="compatible"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore" version="2.2.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.xpand.qvtlibrary" version="1.0.0" match="compatible"/>
- <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
- <import plugin="org.eclipse.swt" version="3.3.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.xpand" version="2.1.0" match="compatible"/>
- <import plugin="org.eclipse.gmf.common" version="1.2.0" match="compatible"/>
- <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.0.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.common" version="2.1.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.project" version="2.1.0"/>
- <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.1.0"/>
- <import plugin="lpg.runtime.java" version="2.0.17" match="compatible"/>
- </requires>
-
- <plugin
- id="org.eclipse.gmf.common.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen.edit.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.codegen.ui.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.edit.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.map.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.map.edit.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge.ui.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.bridge.ui.dashboard.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.codegen.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.graphdef.codegen.ui.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.tooldef.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.tooldef.edit.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.validate.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.ecore.editor.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand.editor.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
- <plugin
- id="org.eclipse.gmf.xpand.qvtlibrary.source"
- download-size="0"
- install-size="0"
- version="0.0.0"
- unpack="false"/>
-
-</feature>
+http://www.eclipse.org/legal/epl-v10.html
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <url>
+ <update label="%updateSiteName" url="http://download.eclipse.org/modeling/gmf/updates/releases/"/>
+ </url>
+
+ <requires>
+ <import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.common.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.xmi" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.forms" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jdt.core" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jface" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.jdt.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.core.runtime" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.draw2d" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.validate" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.m2m.qvt.oml" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.codegen.ecore.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge.ui.dashboard" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.codegen.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.codegen.ui" version="1.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.importer" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.bridge.ui" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.common" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.tooldef" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.map" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.tooldef.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.edit" version="2.4.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.runtime.notation" version="1.0.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.graphdef.codegen" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.common" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.edit" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.map.edit" version="2.0.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore.editor" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.pde.ui" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.pde.core" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.edit.ui" version="2.3.0" match="compatible"/>
+ <import plugin="org.eclipse.emf.validation" version="1.1.0" match="compatible"/>
+ <import plugin="org.eclipse.ocl.ecore" version="3.0.0" match="compatible"/>
+ <import plugin="org.eclipse.core.expressions"/>
+ <import plugin="org.eclipse.ui.views"/>
+ <import plugin="org.eclipse.ui.navigator"/>
+ <import plugin="org.eclipse.gef"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing.render"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.printing"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
+ <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
+ <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
+ <import plugin="org.eclipse.ui.navigator.resources"/>
+ <import plugin="org.eclipse.emf.ecore" version="2.2.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.xpand.qvtlibrary" version="1.0.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.editors" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.workbench.texteditor" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.views" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.2.0" match="compatible"/>
+ <import plugin="org.eclipse.swt" version="3.3.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.xpand" version="2.1.0" match="compatible"/>
+ <import plugin="org.eclipse.gmf.common" version="1.2.0" match="compatible"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.0.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.common" version="2.1.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.project" version="2.1.0"/>
+ <import plugin="org.eclipse.m2m.qvt.oml.runtime" version="2.1.0"/>
+ <import plugin="lpg.runtime.java" version="2.0.17" match="compatible"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.gmf.common.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen.edit.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.codegen.ui.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.edit.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.map.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.map.edit.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge.ui.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.bridge.ui.dashboard.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.codegen.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.graphdef.codegen.ui.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.tooldef.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.tooldef.edit.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.validate.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.ecore.editor.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand.editor.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.gmf.xpand.qvtlibrary.source"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>
diff --git a/features/org.eclipse.gmf.tooling.source-feature/pom.xml b/features/org.eclipse.gmf.tooling.source-feature/pom.xml
index 01454704f..a8dc46ae4 100644
--- a/features/org.eclipse.gmf.tooling.source-feature/pom.xml
+++ b/features/org.eclipse.gmf.tooling.source-feature/pom.xml
@@ -12,7 +12,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.gmf-tooling.features</groupId>
<artifactId>org.eclipse.gmf.tooling.source</artifactId>
- <version>2.4.1-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
<parent>

Back to the top